# Drug calculation checker app

This application is primarily intended for community nurses in the UK to assist ***cross-checking*** of ***manual drug calculations***  when making up syringe pumps for palliative care patients.

**This application is not approved by NHS or any other healthcare body and you should not rely on it to perform drug calculations.**
**The authors accept no liability for any errors in the application.**

The drug information is based on the back page of the NHS "Community Palliative Care Drug Chart" (Version 5 reviewed June 2017) with the addition of Fentanyl and Oxycodone.

You can run the app at [https://timrobinson33.github.io/drug-calc/](https://timrobinson33.github.io/drug-calc/).

If you are using Chrome browser on Android, you can make a shortcut on your home screen by tapping **⋮** in the top-right corner, then select "Add to Home screen".

## Bugs and Suggestions
To report any errors or suggestions, if you have a github account you can raise an issue or submit a pull request; if not you can email me directly at [tim.robinson@level900.com](mailto:tim.robinson@level900.com).

## Technical info
The app is built with create-react-app and uses mvp.css

The icon is from [https://www.freepik.com/](https://www.freepik.com/)

## License
```
MIT License

Copyright (c) Tim Robinson

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```